Package com.emc.documentum.rest.representation

# Enum Class LinkRelation

java.lang.Object
java.lang.Enum<LinkRelation>
com.emc.documentum.rest.representation.LinkRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<LinkRelation>`, `Constable`

public enum LinkRelation extends Enum<LinkRelation>
IANA registered link relations Refer the link for details: http://www.iana.org/assignments/link-relations/link-relations.xhtml

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOUT`
  Link rel for about
  `ALTERNATE`
  Link rel for alternate
  `AUTHOR`
  Link rel for author
  `CANONICAL`
  Link rel for canonical
  `CHILD`
  Link rel for child
  `DOWN`
  Link rel for down action
  `EDIT`
  Link rel for edit action
  `EDIT_MEDIA`
  Link rel for edit media action
  `ENCLOSURE`
  Link rel for enclosure
  `ICON`
  Link rel for icon
  `PAGING_FIRST`
  Link rel for first page
  `PAGING_LAST`
  Link rel for last page
  `PAGING_NEXT`
  Link rel for next
  `PAGING_PREV`
  Link rel for previous
  `PARENT`
  Link rel for parent
  `PREDECESSOR_VERSION`
  Link rel for predecessor version
  `SEARCH`
  Link rel for search
  `SELF`
  Link rel for self
  `TYPE`
  Link rel for type
  `UP`
  Link rel for up action
  `VERSIONS`
  Link rel for version history

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `rel()`
  Get link rel
  `static LinkRelation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LinkRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SELF

    public static final LinkRelation SELF
    Link rel for self

  - ### EDIT

    public static final LinkRelation EDIT
    Link rel for edit action

  - ### UP

    public static final LinkRelation UP
    Link rel for up action

  - ### DOWN

    public static final LinkRelation DOWN
    Link rel for down action

  - ### EDIT_MEDIA

    public static final LinkRelation EDIT_MEDIA
    Link rel for edit media action

  - ### VERSIONS

    public static final LinkRelation VERSIONS
    Link rel for version history

  - ### PARENT

    public static final LinkRelation PARENT
    Link rel for parent

  - ### CHILD

    public static final LinkRelation CHILD
    Link rel for child

  - ### ALTERNATE

    public static final LinkRelation ALTERNATE
    Link rel for alternate

  - ### PAGING_NEXT

    public static final LinkRelation PAGING_NEXT
    Link rel for next

  - ### PAGING_PREV

    public static final LinkRelation PAGING_PREV
    Link rel for previous

  - ### PAGING_FIRST

    public static final LinkRelation PAGING_FIRST
    Link rel for first page

  - ### PAGING_LAST

    public static final LinkRelation PAGING_LAST
    Link rel for last page

  - ### ENCLOSURE

    public static final LinkRelation ENCLOSURE
    Link rel for enclosure

  - ### AUTHOR

    public static final LinkRelation AUTHOR
    Link rel for author

  - ### CANONICAL

    public static final LinkRelation CANONICAL
    Link rel for canonical

  - ### PREDECESSOR_VERSION

    public static final LinkRelation PREDECESSOR_VERSION
    Link rel for predecessor version

  - ### SEARCH

    public static final LinkRelation SEARCH
    Link rel for search

  - ### ICON

    public static final LinkRelation ICON
    Link rel for icon

  - ### TYPE

    public static final LinkRelation TYPE
    Link rel for type

  - ### ABOUT

    public static final LinkRelation ABOUT
    Link rel for about

- ## Method Details

  - ### values

    public static LinkRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LinkRelation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### rel

    public String rel()
    Get link rel
    Returns:
      link rel